Bug 1852708 - Rebuild against side tag f33-build-side-24903
Summary: Rebuild against side tag f33-build-side-24903
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: insight
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Monnerat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1729924
TreeView+ depends on / blocked
 
Reported: 2020-07-01 06:40 UTC by Tomas Korbar
Modified: 2020-07-23 10:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-23 10:09:08 UTC
Type: ---


Attachments (Terms of Use)

Description Tomas Korbar 2020-07-01 06:40:57 UTC
Hi,
I'm a maintainer of autogen and i would like to
rebuild it with guile-2.2. Unfortunately i do not
have enough tests to be sure that this change does
not break your future builds and thus i'm giving
you a chance to rebuild and test your package
against new version of autogen before i push it
to stable. After you have built package against
side tag f33-build-side-24903 and you are sure
that it works, please close this bug. After all
packages that depend on autogen are rebuild,
i will merge the side tag and your build will get
to stable rawhide.
You can build against side tag by executing
$ fedpkg build --target=f33-build-side-24903

Comment 1 Tomas Korbar 2020-07-23 08:25:27 UTC
Hi Patrick,
Because it is 3 weeks since i opened this, i want to ping
you. I would like to merge the side tag in next week or two
so please state how much more time you need.
Thanks for your time.

Comment 2 Patrick Monnerat 2020-07-23 09:28:28 UTC
Hi Tomas,
This has been done: https://koji.fedoraproject.org/koji/buildinfo?buildID=1536032
However, guile 2.0 is still needed by insight, as the latter embeds gdb that is not yet ready for guile 2.2.
We see from the logs that guile22 is loaded (and probably used) for the build tools, but guile is still used by insight itself.

Comment 3 Tomas Korbar 2020-07-23 10:09:08 UTC
(In reply to Patrick Monnerat from comment #2)
> Hi Tomas,
> This has been done:
> https://koji.fedoraproject.org/koji/buildinfo?buildID=1536032
> However, guile 2.0 is still needed by insight, as the latter embeds gdb that
> is not yet ready for guile 2.2.
> We see from the logs that guile22 is loaded (and probably used) for the
> build tools, but guile is still used by insight itself.

Ok. We will handle this once it will be time to retire guile-2.0.
Right now i have no such plans, but i want to continuously push
packages to support newer versions of guile.
Thanks for such a quick response.

Comment 4 Patrick Monnerat 2020-07-23 10:16:26 UTC
> ... but i want to continuously push packages to support newer versions of guile.

The push should be on upstream gdb, as guile's use in insight is totally dependent on it.
Thanks to take care of it.


Note You need to log in before you can comment on or make changes to this bug.